Collaborations¶
List All Collaborations¶
GET /api/collaborations
Schema
projects: Arrayid: Stringowner: Objectid: Integeremail: Stringfull_name: String
project: Objectid: Integername: String
domains: Arrayid: Stringowner: Objectid: Integeremail: Stringfull_name: String
domain: Objectid: Integername: String
images: Arrayid: Stringowner: Objectid: Integeremail: Stringfull_name: String
image: Objectid: Integername: String
registries: Arrayid: Stringowner: Objectid: Integeremail: Stringfull_name: String
registry: Objectid: Integername: String
View Collaboration¶
GET /api/collaborations/{id}
Schema
collaboration: Objectid: String{resource}: Object - Whereresourceis one of: project, image, zone, registryid: Integername: String
resource_owner: Objectid: Integeremail: Stringfull_name: String
Enable Collaboration¶
PATCH /api/collaborations/{id}
When initially invited, the active will be disabled.
Schema
collaboration: Objectactive: Boolean